Option Explicit On 
Option Strict On


'#############################################################################################
' John Girard, Advanced Systems & Controls
'
' IntegerEventArgs: a rather simple set of event arguments containing just an integer.
'
' Interfaces Required:  none
' Classes Required:     none
' Modules Required:     none 
' Other Requirements:   none
'
' Certification:        In Progress (06/02/04)
'                       Module Active in 0 Projects
'
' Revision History:
' --------------------------------------------------------------------------------------------
'
' (06/02/04)    Created for use with the new ShadowMessageServer class (but this class could
'               easily be used for any number of events). Created the new naGen namespace to
'               use it (naGen standing for Namespace, Advanced Systems, Generic)
'
'#############################################################################################

Namespace naGen

    Public Class IntegerEventArgs
        Inherits EventArgs

        Private imValue As Integer


        '#####################################################################################
        'reference this event's value
        '#####################################################################################
        Public ReadOnly Property Value() As Integer

            Get
                Return imValue
            End Get

        End Property


        '#####################################################################################
        'to create this event class, the integer value has to be set immediately.
        '#####################################################################################
        Public Sub New(ByVal iValue As Integer)
            imValue = iValue
        End Sub

    End Class

End Namespace