Option Explicit On 
Option Strict On


'#############################################################################################
' John Girard, Advanced Systems & Controls
'
' Region: a color region, defined by a color, centroid, density, etc.
'
' Revision History:
' --------------------------------------------------------------------------------------------
'
' (02/09/05)    Began work on the class.
'
'#############################################################################################

Public Class Region
    Public Color As Integer
    Public X As Double = 0.0
    Public Y As Double = 0.0
    Public Marked As Boolean = False

    'the number of pixels in this region, and the total strength (sum of all probabilities)
    'of the signal.
    Public Count As Integer
    Public Strength As Double = 0.0

    Public hiX As Double = 0.0
    Public hiY As Double = 0.0
    Public hiStrength As Double = 0.0


    '#########################################################################################
    'build a brand-new fuzzy number.
    '#########################################################################################
    Sub New(ByVal iColor As Integer)
        Color = iColor
    End Sub


    '#########################################################################################
    'what's the relative density of this region signal?
    '#########################################################################################
    Public ReadOnly Property Density() As Double
        Get
            If Strength = 0 Then Return 0 Else Return Strength / Count
        End Get
    End Property

End Class