using System;

//############################################################################################
// John Girard, Advanced Systems & Controls
//
// Tooth: a class designed to hold a single tooth cycle's information, and to interpret this 
// information. This class expects one cycle of a waveform of the following form:
//
//              ______T3______
//             |              |
// TTL HI -----T2------------T4---------------------------------------------------------------
//             |              |
//             |              |
//             |              |
//   MID  -----T1------------T5-----------T19-------------------------------------------------
//             |              |            |
//             |              |            |
//             |              |            |
// TTL LO -----T0------------T6------------T8-------------------------------------------------
//                            |_____T7_____|
//
//
// Interfaces Required: none
// Classes Required:    none
// Modules Required:    none 
// Other Requirements:  none
//
// Certification:       NOT In Progress (02/19/04)
//                      Module Active in 0 Projects
//
// Revision History:
// -------------------------------------------------------------------------------------------
//
// (02/13/04)   Initial creation of the class.
//
//############################################################################################
namespace nfABS
{
	public class Tooth: ICloneable
	{
		// create receptacles for all points
		public double[] X = new double[10];
		public double[] Y = new double[10];


		//####################################################################################
		// return an exact clone of this class's members
		//####################################################################################
		public object Clone()
		{
			return this.MemberwiseClone();
		}
	}
}