Option Explicit On 
Option Strict On

Public Module asmMain

    'graphics routines for capturing the image as a single shot
    Private Declare Auto Function BitBlt Lib "gdi32.dll" (ByVal hdcDest As IntPtr, ByVal nXDest As Integer, ByVal nYDest As Integer, ByVal nWidth As Integer, ByVal nHeight As Integer, ByVal hdcSrc As IntPtr, ByVal nXSrc As Integer, ByVal nYSrc As Integer, ByVal dwRop As Int32) As Boolean


    '#########################################################################################
    'capture the currently-displayed graphics within this control's bounds into a bitmap.
    'most of this code was referenced from an external website (see references in top section)
    '#########################################################################################
    Public Function ToBitmap(ByVal pctBox As PictureBox) As Bitmap
        Dim iX As Integer = pctBox.Width
        Dim iY As Integer = pctBox.Height

        'get a graphics object from this control
        Dim gPic As Graphics = pctBox.CreateGraphics

        'create an empty bitmap from that graphics
        Dim bImg As Bitmap = New Bitmap(iX, iY, gPic)

        'create a graphics object in memory from that bitmap
        Dim gBit As Graphics = Graphics.FromImage(bImg)

        'get the IntPtr's of the graphics
        Dim oHPic As IntPtr = gPic.GetHdc
        Dim oHBit As IntPtr = gBit.GetHdc

        'get the picture using bitblt now
        BitBlt(oHBit, 0, 0, iX, iY, oHPic, 0, 0, 13369376)

        'clone the bitmap so we can dispose this one 
        ToBitmap = CType(bImg.Clone(), Bitmap)
        bImg.Dispose()

        'clean up all our loose ends 
        gPic.ReleaseHdc(oHPic)
        gBit.ReleaseHdc(oHBit)
        gPic.Dispose()
        gBit.Dispose()

    End Function

End Module

